﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Line 클래스 : Stacked 속성을 사용해 스택 라인 차트 만들기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Line line1 = new Line();

            line1.Add(1, 10);
            line1.Add(2, 20);
            line1.Add(3, 10);
            line1.Add(4, 30);
            line1.Add(5, 20);

            this.tChart.Series.Add(line1);

            Line line2 = new Line();

            line2.Stacked = CustomStack.Stack;

            line2.Add(1, 10);
            line2.Add(2, 10);
            line2.Add(3, 20);
            line2.Add(4, 20);
            line2.Add(5, 10);

            this.tChart.Series.Add(line2);
        }

        #endregion
    }
}